imap_renamemailbox
imap_rfc822_parse_adrlist
IMAP Functions
PHP Manual

# imap_reopen

Reopen IMAP stream to new mailbox

### Description

bool imap_reopen ( resource `$imap_stream` , string `$mailbox` [, int `$options` = 0 [, int `$n_retries` = 0 ]] )

Reopens the specified stream to a new `mailbox` on an IMAP or NNTP server.

### Parameters

`imap_stream`

  An IMAP stream returned by imap_open.

`mailbox`

  The mailbox name, see imap_open for more information

`options`

  The `options` are a bit mask with one or more of the following:

  - `OP_READONLY` - Open mailbox read-only
  - `OP_ANONYMOUS` - Don't use or update a .newsrc for news (NNTP only)
  - `OP_HALFOPEN` - For IMAP and NNTP names, open a connection but don't open a mailbox.
  - `OP_EXPUNGE` - Silently expunge recycle stream
  - `CL_EXPUNGE` - Expunge mailbox automatically upon mailbox close (see also imap_delete and imap_expunge)
`n_retries`

  Number of maximum connect attempts

### Return Values

Returns `TRUE` if the stream is reopened, `FALSE` otherwise.

### Changelog

Version | Description
--- | ---
5.2.0 | `n_retries` added

### Examples

Example #1 imap_reopen example

`<?php
$mbox = imap_open("{imap.example.org:143}INBOX", "username", "password") or die(implode(", ", imap_errors()));
// ...
imap_reopen($mbox, "{imap.example.org:143}INBOX.Sent") or die(implode(", ", imap_errors()));
// ..
?>`